/***********************************************
 * Licensed Materials - Property of IBM
 * 
 * 5724-R31, 5655-S30
 * 
 * (C) Copyright IBM Corp. 2010 All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 ***********************************************
 */
/***********************************************
 * Licensed Materials - Property of IBM
 *
 * 5724-R31, 5655-S30
 *
 * (C) Copyright IBM Corp. 2009 All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 ***********************************************
 */
 package com.ibm.websphere.icp.telecom.reference.dynamicorderfulfillment.util;

public interface CustomerNotificationConstants {
	
	final String xpathCommunication = "Communication";

	final String StandardCommunication = "StandardCommunication";

	final String xpathHeader = "header";

	final String Message_TYPE = "msgType";

	final String RESPONSE = "Response";

	final String NAME = "Name";
	
	final String DESCRIPTION = "Description";
	final String VALUE = "Value";

	final String HEADER = "header";

	final String HEADER_T = "Header_T";

	final String SPECIFICATION = "specification";

	final String COMMUNICATION = "communication";

	final String CHARACTERISTICS_VALUE = "CharacteristicValue";

	final String CHARACTERISTIC = "Characteristic";

	final String SCHEMA_STANDARD_COMMUNICATION_MSG = "http://www.ibm.com/xmlns/prod/websphere/fabric/2009/12/telecom/operations/assurance/schema/StandardCommunicationMessage";

	final String SCHEMA_STANDARD_COMMUNICATION = "http://www.ibm.com/telecom/assurance/schema/standard_communication/v3_0";

	final String SCHEMA_HEADER = "http://www.ibm.com/xmlns/prod/websphere/fabric/2009/12/telecom/operations/common/schema/Message";

	final String DEFAULT_MESSAGE = "tc-notify-0005";

	final String xpathStandardCommunication = CHARACTERISTICS_VALUE + "[1]/";
}
