/***********************************************
 * Licensed Materials - Property of IBM
 * 
 * 5724-R31, 5655-S30
 * 
 * (C) Copyright IBM Corp. 2010 All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 ***********************************************
 */
package com.ibm.websphere.icp.telecom.reference.dynamicorderfulfillment;

import java.io.Serializable;

import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;

import com.ibm.websphere.icp.telecom.db.entities.TelecomBaseObject;

@Entity
public class Productorderparameter extends TelecomBaseObject implements
		Serializable {

	private String name;

	private String value;

	@ManyToOne
	@JoinColumn(name = "PRODUCTORDERID")
	private Productorder productorderid;

	private static final long serialVersionUID = 1L;

	public Productorderparameter() {
		super();
	}

	public String getName() {
		return this.name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getValue() {
		return this.value;
	}

	public void setValue(String value) {
		this.value = value;
	}

	public Productorder getProductorderid() {
		return this.productorderid;
	}

	public void setProductorderid(Productorder productorderid) {
		this.productorderid = productorderid;
	}

}
